package jp.sourceforge.shovel.logic;

import jp.sourceforge.shovel.exception.ApplicationException;
import jp.sourceforge.shovel.mobilephone.IMobilePhone;

public interface IMobilePhoneLogic {
    IMobilePhone createMobilePhone(String userAgent) throws ApplicationException;
    boolean isDoCoMo(String userAgent);
    boolean isEZweb(String userAgent);
    boolean isSoftBank(String userAgent);
    boolean isWillcom(String userAgent);
}
